Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.javac
Class JavaStubGenerator

    java.lang.Object
      org.codehaus.groovy.tools.javac.JavaStubGenerator

    public class JavaStubGenerator

extends Object

Constructor Summary
`JavaStubGenerator(File outputPath)`
`JavaStubGenerator(File outputPath, boolean requireSuperResolved, boolean java5)`

Method Summary
`void` | `clean()`
`void` | `generateClass(ClassNode classNode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaStubGenerator

    public JavaStubGenerator(File outputPath,
                             boolean requireSuperResolved,
                             boolean java5)

### JavaStubGenerator

    public JavaStubGenerator(File outputPath)

Method Detail

### generateClass

    public void generateClass(ClassNode classNode)
                       throws FileNotFoundException

  Throws:
    `FileNotFoundException`

### clean

    public void clean()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD